"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/types.ts
var types_exports = {};
__export(types_exports, {
  APPENDING_POSITIONS: () => APPENDING_POSITIONS,
  ExtraPosition: () => ExtraPosition,
  FLOATING_BOTTOM: () => FLOATING_BOTTOM,
  FLOATING_LEFT: () => FLOATING_LEFT,
  FLOATING_POSITIONS: () => FLOATING_POSITIONS,
  FLOATING_RIGHT: () => FLOATING_RIGHT,
  FLOATING_TOP: () => FLOATING_TOP,
  PREPENDING_POSITIONS: () => PREPENDING_POSITIONS
});
module.exports = __toCommonJS(types_exports);
var ExtraPosition = /* @__PURE__ */ ((ExtraPosition2) => {
  ExtraPosition2[ExtraPosition2["before"] = 0] = "before";
  ExtraPosition2[ExtraPosition2["f_top_right"] = 1] = "f_top_right";
  ExtraPosition2[ExtraPosition2["f_top_left"] = 2] = "f_top_left";
  ExtraPosition2[ExtraPosition2["f_bottom_right"] = 3] = "f_bottom_right";
  ExtraPosition2[ExtraPosition2["f_bottom_left"] = 4] = "f_bottom_left";
  ExtraPosition2[ExtraPosition2["after"] = 5] = "after";
  return ExtraPosition2;
})(ExtraPosition || {});
var PREPENDING_POSITIONS = [0 /* before */, 1 /* f_top_right */, 2 /* f_top_left */];
var APPENDING_POSITIONS = [3 /* f_bottom_right */, 4 /* f_bottom_left */, 5 /* after */];
var FLOATING_POSITIONS = [1 /* f_top_right */, 3 /* f_bottom_right */, 2 /* f_top_left */, 4 /* f_bottom_left */];
var FLOATING_TOP = [1 /* f_top_right */, 2 /* f_top_left */];
var FLOATING_BOTTOM = [3 /* f_bottom_right */, 4 /* f_bottom_left */];
var FLOATING_RIGHT = [1 /* f_top_right */, 3 /* f_bottom_right */];
var FLOATING_LEFT = [2 /* f_top_left */, 4 /* f_bottom_left */];
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  APPENDING_POSITIONS,
  ExtraPosition,
  FLOATING_BOTTOM,
  FLOATING_LEFT,
  FLOATING_POSITIONS,
  FLOATING_RIGHT,
  FLOATING_TOP,
  PREPENDING_POSITIONS
});
