"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils.ts
var utils_exports = {};
__export(utils_exports, {
  FilenameProcessor: () => FilenameProcessor
});
module.exports = __toCommonJS(utils_exports);
var FilenameProcessor = {
  attrRe: /filename="([\w.\-_\/]+)"/,
  position: 0 /* before */,
  light: (matched) => {
    if (matched === null)
      return void 0;
    return {
      tag: "div",
      attrs: {
        class: "shiki-filename"
      },
      content: matched[1]
    };
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  FilenameProcessor
});
