// src/types.ts
var ExtraPosition = /* @__PURE__ */ ((ExtraPosition2) => {
  ExtraPosition2[ExtraPosition2["before"] = 0] = "before";
  ExtraPosition2[ExtraPosition2["f_top_right"] = 1] = "f_top_right";
  ExtraPosition2[ExtraPosition2["f_top_left"] = 2] = "f_top_left";
  ExtraPosition2[ExtraPosition2["f_bottom_right"] = 3] = "f_bottom_right";
  ExtraPosition2[ExtraPosition2["f_bottom_left"] = 4] = "f_bottom_left";
  ExtraPosition2[ExtraPosition2["after"] = 5] = "after";
  return ExtraPosition2;
})(ExtraPosition || {});
var PREPENDING_POSITIONS = [0 /* before */, 1 /* f_top_right */, 2 /* f_top_left */];
var APPENDING_POSITIONS = [3 /* f_bottom_right */, 4 /* f_bottom_left */, 5 /* after */];
var FLOATING_POSITIONS = [1 /* f_top_right */, 3 /* f_bottom_right */, 2 /* f_top_left */, 4 /* f_bottom_left */];
var FLOATING_TOP = [1 /* f_top_right */, 2 /* f_top_left */];
var FLOATING_BOTTOM = [3 /* f_bottom_right */, 4 /* f_bottom_left */];
var FLOATING_RIGHT = [1 /* f_top_right */, 3 /* f_bottom_right */];
var FLOATING_LEFT = [2 /* f_top_left */, 4 /* f_bottom_left */];

export {
  ExtraPosition,
  PREPENDING_POSITIONS,
  APPENDING_POSITIONS,
  FLOATING_POSITIONS,
  FLOATING_TOP,
  FLOATING_BOTTOM,
  FLOATING_RIGHT,
  FLOATING_LEFT
};
