import { IExtraProcessor } from './types.js';
import 'shiki';

/**
*
* This extra processor will parse strings like `filename=""`
* , get the file name in between the quotes,
* and wrap them in a div with the class `shiki-filename`
*
* @param matched - the result of the regex match
* @returns the element to be inserted
*/
declare const FilenameProcessor: IExtraProcessor;

export { FilenameProcessor };
